WorkerExecutionException (Gradle API 9.3.0)
Description: declaration: package: org.gradle.workers, class: WorkerExecutionException

Package org.gradle.workers

# Class WorkerExecutionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.internal.exceptions.DefaultMultiCauseException
org.gradle.workers.WorkerExecutionException

All Implemented Interfaces:
  `Serializable`, `org.gradle.internal.exceptions.MultiCauseException`, `org.gradle.internal.exceptions.NonGradleCauseExceptionsHolder`, `org.gradle.internal.exceptions.ResolutionProvider`

public class WorkerExecutionException extends org.gradle.internal.exceptions.DefaultMultiCauseException
Indicates that a failure occurred during execution of work in a worker.

Since:
  3.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkerExecutionException(String message)`
  `WorkerExecutionException(String message, Iterable<? extends Throwable> causes)`
  `WorkerExecutionException(String message, Throwable... causes)`

- ## Method Summary

  ### Methods inherited from class org.gradle.internal.exceptions.DefaultMultiCauseException

  `getCause, getCauses, getMessage, getResolutions, hasCause, initCause, initCauses, printStackTrace, printStackTrace`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WorkerExecutionException

    public WorkerExecutionException(String message)

  - ### WorkerExecutionException

    public WorkerExecutionException(String message, Throwable... causes)

  - ### WorkerExecutionException

    public WorkerExecutionException(String message, Iterable<? extends Throwable> causes)